Package org.eclipse.jdt.ui.actions

# Class BuildActionGroup

java.lang.Object
org.eclipse.ui.actions.ActionGroup
org.eclipse.jdt.ui.actions.BuildActionGroup

public class BuildActionGroup extends org.eclipse.ui.actions.ActionGroup
Contributes all build related actions to the context menu and installs handlers for the corresponding global menu actions.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`BuildActionGroup(org.eclipse.ui.IViewPart part)`
Creates a new `BuildActionGroup`.
`BuildActionGroup(org.eclipse.ui.IWorkbenchSite site, org.eclipse.jface.viewers.ISelectionProvider specialSelectionProvider)`
Creates a new `BuildActionGroup`.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`void`
`fillActionBars(org.eclipse.ui.IActionBars actionBar)`
`void`
`fillContextMenu(org.eclipse.jface.action.IMenuManager menu)`
`org.eclipse.jface.action.IAction`
`getRefreshAction()`
Returns the refresh action managed by this group.

### Methods inherited from class org.eclipse.ui.actions.ActionGroup

`getContext, setContext, updateActionBars`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BuildActionGroup

public BuildActionGroup(org.eclipse.ui.IViewPart part)
Creates a new `BuildActionGroup`. The group requires that the selection provided by the view part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

### BuildActionGroup

public BuildActionGroup(org.eclipse.ui.IWorkbenchSite site, org.eclipse.jface.viewers.ISelectionProvider specialSelectionProvider)
Creates a new `BuildActionGroup`. The group requires that the selection provided by the given selection provider is of type `IStructuredSelection`.

Parameters:
  `site` - the site that will own the action group.
  `specialSelectionProvider` - the selection provider used instead of the sites selection provider.
Since:
  3.4

## Method Details

### getRefreshAction

public org.eclipse.jface.action.IAction getRefreshAction()
Returns the refresh action managed by this group.

Returns:
  the refresh action. If this group doesn't manage a refresh action `null` is returned

### fillActionBars

public void fillActionBars(org.eclipse.ui.IActionBars actionBar)

Overrides:
  `fillActionBars` in class `org.eclipse.ui.actions.ActionGroup`

### fillContextMenu

public void fillContextMenu(org.eclipse.jface.action.IMenuManager menu)

Overrides:
  `fillContextMenu` in class `org.eclipse.ui.actions.ActionGroup`

### dispose

public void dispose()

Overrides:
  `dispose` in class `org.eclipse.ui.actions.ActionGroup`